Contents

# FileAttr Function

Returns the access mode or the file access number of a file that was opened with the Open statement. The file access number is dependent on the operating system (OSH = Operating System Handle).

If you use a 32-Bit operating system, you cannot use the FileAttr function to determine the file access number.

See also: Open

### Syntax:

      FileAttr (Channel As Integer, Attributes As Integer)

### Return type:

Integer

### Parameters:

Channel: The number of the file that was opened with the Open statement.

Attributes: Integer expression that indicates the type of file information that you want to return. The following values are possible:

1: FileAttr indicates the access mode of the file.

2: FileAttr returns the file access number of the operating system.

If you specify a parameter attribute with a value of 1, the following return values apply:

1 - INPUT (file open for input)

2 - OUTPUT (file open for output)

4 - RANDOM (file open for random access)

8 - APPEND (file open for appending)

32 - BINARY (file open in binary mode).

### Error codes:

5 Invalid procedure call

52 Invalid file name or file number

### Example:

    Sub ExampleFileAttr
        Dim iNumber As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNumber, "This is a line of text"
        MsgBox FileAttr(#iNumber, 1), 0, "Access mode"
        MsgBox FileAttr(#iNumber, 2), 0, "File attribute"
        Close #iNumber
    End Sub

Related Topics

Close Statement

FreeFile Function

Open Statement

Print# Statement

Please support us!